#include "uart.h"




void UartInit(void)
{
      //ʱԴѡ
      BCSCTL1 = CALBC1_1MHZ;
      DCOCTL = CALDCO_1MHZ;
      
      P1SEL |= BIT1 + BIT2;
      P1SEL2 |= BIT1 + BIT2;
      
      UCA0CTL1 |= UCSSEL_2;  //9600
      UCA0BR0 = 104;
      UCA0BR1 = 0 ;
      
      UCA0MCTL = UCBRS0;
      
      UCA0CTL1 &=~ UCSWRST;
      
      IE2 |= UCA0RXIE;
      
      __bis_SR_register(GIE);
}

#pragma vector = USCIAB0RX_VECTOR
__interrupt void UartRx_ISR(void)
{
    while(!(IFG2&UCA0TXIFG));
    UCA0TXBUF = UCA0RXBUF;
}


void UartSendByte(char sdate)
{
    UCA0TXBUF = sdate;
    while(IFG2&UCA0TXIFG==0);
    IFG2 &=~UCA0TXIFG;   
}


void UartSendString(char *spdate)
{
    while(*spdate != '\0')
    {
        UartSendByte(*spdate);
        spdate++;
    }
}




  
  
  
  
  





